Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.iiop.rmi.marshal.strategy
Class SkeletonStrategy

    java.lang.Object
      org.jboss.iiop.rmi.marshal.strategy.SkeletonStrategy

public class SkeletonStrategy
extends Object

A `SkeletonStrategy` for a given method knows how to unmarshalthe sequence of method parameters from a CDR input stream, how to marshal into a CDR output stream the return value of the method, and how to marshal into a CDR output stream any exception thrown by the method.

Version:
  $Revision: 1.2 $
Author:
  Francisco Reverbel

Constructor Summary
`SkeletonStrategy(Method m)`

Method Summary
`Method` | `getMethod()` Returns this `SkeletonStrategy`'s method.
`boolean` | `isNonVoid()` Returns true if this `SkeletonStrategy`'s method is non void.
`Object[]` | `readParams(InputStream in)` Unmarshals the sequence of method parameters from an input stream.
`void` | `writeException(OutputStream out, Exception e)` Marshals into an output stream an exception thrown by the method.
`void` | `writeRetval(OutputStream out, Object retVal)` Marshals into an output stream the return value of the method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SkeletonStrategy

    public SkeletonStrategy(Method m)

Method Detail

### readParams

    public Object[] readParams(InputStream in)

  Unmarshals the sequence of method parameters from an input stream.

  Parameters:
    `in` - a CDR input stream
  Returns:
    an object array with the parameters.

### getMethod

    public Method getMethod()

  Returns this `SkeletonStrategy`'s method.

### isNonVoid

    public boolean isNonVoid()

  Returns true if this `SkeletonStrategy`'s method is non void.

### writeRetval

    public void writeRetval(OutputStream out,
                            Object retVal)

  Marshals into an output stream the return value of the method.

  Parameters:
    `out` - a CDR output stream
    `retVal` - the value to be written.

### writeException

    public void writeException(OutputStream out,
                               Exception e)

  Marshals into an output stream an exception thrown by the method.

  Parameters:
    `out` - a CDR output stream
    `e` - the exception to be written.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.